#pragma once

#include <cstdint>

struct ColorRGBW
{
  uint8_t r, g, b, w;

  ColorRGBW operator*(float s) const
  {
    return {uint8_t(s * r),
            uint8_t(s * g),
            uint8_t(s * b),
            uint8_t(s * w)};
  }
};